<?php	
/*---------------------------------------------------
| Event Calendar Infusion v1.00
|  Giuseppe Nichelini (nick56) 2004
| http://www.nichelini.it
| giuseppe@nichelini.it
-----------------------------------------------------
| This file has been modified to be used
| as a news calendar panel.
---------------------------------------------------*/

if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }

echo "<link rel='stylesheet' href='".INFUSIONS."news_calendar_panel/css/styles.css' type='text/css'>";  

if (file_exists(INFUSIONS."news_calendar_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."news_calendar_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."news_calendar_panel/locale/English.php";
}

openside($locale['Cal100']);

if (isnum($nd)&& isnum($nm) && isnum($ny)) { 
	if ((substr($nd,0,1) <> "0") AND ($nd < 10)) { $nd = "0".$nd; }	
	$data = $ny."/".$nm."/".$nd; 
	$timestamp = mktime(0,0,0,intval($nm),intval($nd),intval($ny));
} else {
	$data = date("Y/m/d",time()); 
	$datatmp = explode("/",$data);
	$timestamp = mktime(0,0,0,intval($datatmp[1]),intval($datatmp[2]),intval($datatmp[0]));
	$nd = $datatmp[2];
	$nm = $datatmp[1];
	$ny = $datatmp[0];
}

NewsCalendar($nd, $nm, $ny);
@closeside();

function NewsCalendar($nd, $nm, $ny)
{
	global $lo_tmois,$lo_tjours,$tdaysBR,$db_prefix;
	$tmois  = $lo_tmois;
	$tjours = $lo_tjours;

	$today = getdate();
	$month = $nm; 
	$year = $ny;
	$monthday = 1; 
	$prevyear  = ($month==1)  ? $year-1 : $year;
	$prevmonth = ($month==1)  ? 12      : $month-1;
	$nextyear  = ($month==12) ? $year+1 : $year;
	$nextmonth = ($month==12) ? 1       : $month+1;
	$firstday   = getdate(mktime(0, 0, 0, $month, $monthday, $year));
	$lastday    = date("t", mktime(0, 0, 0, $month, $monthday, $year));

	echo "<table width='100%' cellpadding='0' cellspacing='0' class='tableBorders'>\n";
	echo "<tr><td align=\"center\" height=20 valign=\"middle\" width=\"20\">\n";
	echo "<a href=\"".FUSION_SELF."?nd=$nd&nm=$prevmonth&ny=$prevyear\"><img src=".INFUSIONS."news_calendar_panel/images/left.gif border='0'></a>";
	echo "</td>\n";
	echo "<td height=20 width=\"100\" align=\"center\" valign=\"middle\" colspan='5'><b>".$tmois[$month-1]." ".$year."</b></td>\n";
	echo "<td align=\"center\" height=20 valign=\"middle\" width=\"20\">\n";
	echo "<a href=\"".FUSION_SELF."?nd=$nd&nm=$nextmonth&ny=$nextyear\"><img src=".INFUSIONS."news_calendar_panel/images/right.gif border='0'></a>";
	echo "</td></tr>\n";
	echo "<tr><td align=\"center\" valign=\"middle\" width=\"20\"><b>".$tdaysBR[1]."</b></td>
			<td height=20 align=\"center\" valign=\"middle\" width=\"20\"><b>".$tdaysBR[2]."</b></td>
			<td height=20 align=\"center\" valign=\"middle\" width=\"20\"><b>".$tdaysBR[3]."</b></td>
			<td height=20 align=\"center\" valign=\"middle\" width=\"20\"><b>".$tdaysBR[4]."</b></td>
			<td height=20 align=\"center\" valign=\"middle\" width=\"20\"><b>".$tdaysBR[5]."</b></td>
			<td height=20 align=\"center\" valign=\"middle\" width=\"20\"><b>".$tdaysBR[6]."</b></td>
			<td height=20 align=\"center\" valign=\"middle\" width=\"20\"><b>".$tdaysBR[0]."</b></td></tr>\n";
	while ($monthday <= $lastday) 
		{
		echo "<tr height=\"14\">\n";
		for ($i=0;$i<7;$i++) 
			{
			$Cal_class = "tdday";
			$fday = $firstday['wday'] == 0 ? 6 : $firstday['wday'] - 1;
			if (($i >= $fday && $monthday <= 7) || 
				($monthday <= $lastday && $monthday > (7-$fday))) 
				{
				if ($monthday == $today["mday"]) 
					{ 
					if ($month == $today["mon"]) 
						{ 
						if ($monthday == $nd) { $Cal_class = "tddaysel"; }
						else { $Cal_class = "tdoggi"; }
						} 
					elseif ($i == 5 || $i == 6) 
						{ 
						if ($monthday == $nd) { $Cal_class = "tddaysel"; }
						else { $Cal_class = "tdweekend"; }
						}
					elseif ($monthday == $nd) { $Cal_class = "tddaysel"; }
					else
						{ 
						if ($monthday == $nd) { $Cal_class = "tddaysel"; }
						else { $Cal_class = "tdday"; }
						}
					}
				elseif ($i == 5 || $i == 6)
					{ 
					if ($monthday == $nd) { $Cal_class = "tddaysel"; }
					else { $Cal_class = "tdweekend"; }
					}
				elseif ($monthday == $nd) { $Cal_class = "tddaysel"; }
				else { $Cal_class = "tdday"; }
				$dayway = BASEDIR."news.php?ny=".$year."&nm=".$month."&nd=".$monthday;
				echo "<td height=20 align=\"center\" valign=\"middle\" width=\"20\" class=\"".$Cal_class."\"><b><a href=\"".$dayway."\">".$monthday."</a></b></td>\n";
				$monthday++;
				$Cal_class = "tdday";
				}
			else { echo "<td height=20 valign=\"middle\" width=\"20\" class=\"".$Cal_class."\">&nbsp;</td>\n"; }
			}
		echo "</tr>\n";
		$Cal_class = "tdday";
		}
	echo "</table>\n";
}
?>